This is a useful routine that lets you easily create a fillet when the radius of the fillet is not not known. The point that you pick while defining the radius will lie along the fillet.
Here’s how:
- FP <enter> to start Fillet Point.lsp
- Select the first line
- Select the second line
- Pick a point that the fillet will lie upon
~enjoy
;;; By Irneb ;;; http://www.theswamp.org/index.php?topic=41775.0;all ;;; Creates a fillet but lets you pick a point that will lie on the arc. ;;; This is usefull when the radius is not known. (defun c:FP (/ l1 l2 pt ed) (if (and (setq l1 (entsel "\nPick first line: ")) (setq l2 (entsel "\nPick second line: ")) (setq pt (getpoint "\nPick point passing through circle: "))) (progn (command "._circle" "_3P" "_tan" (cadr l1) "_tan" (cadr l2) "_non" pt) (setq ed (entget (entlast))) (entdel (entlast)) (command "._fillet" "_radius" (cdr (assoc 40 ed)) "._fillet" l1 l2))) (princ) )
great thanks
how to download this lisp?